Bug 2033274 - Updation of task is getting failed (tekton hub integration)
Summary: Updation of task is getting failed (tekton hub integration)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.z
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On: 2026209
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-16 12:07 UTC by OpenShift BugZilla Robot
Modified: 2022-02-23 20:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-23 20:02:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10678 0 None open [release-4.9] Bug 2033274: Fix tektonhub task upgrading issue 2021-12-20 15:39:04 UTC
Red Hat Product Errata RHSA-2022:0561 0 None None None 2022-02-23 20:03:23 UTC

Description OpenShift BugZilla Robot 2021-12-16 12:07:05 UTC
+++ This bug was initially created as a clone of Bug #2026209 +++

Created attachment 1843306 [details]
Steps to reproduce the issue

Description of problem:
Updation of task is getting failed

Version-Release number of selected component (if applicable):

How reproducible:
All the time

Steps to Reproduce:
1. Install Openshift Pipelines 1.6 on OCP 4.6
2. Navigate pipelines tab and click on Create Pipeline button
3. Click on Add Task button
4. Search for the task "openshift-client" and select the community version of the task
5. Select the older version (0.1) of the task and click on "Install and Add"
6. Click on the Create button
7. Again navigate to pipelines tab and click on Create Pipeline button
8. Search for the task "openshift-client" and select the community version of task
9. Select the newer version (0.2) of the taks and click on "Update and add" button


Actual results:
The latest version of the task is not getting installed


Expected results:
The latest version of the task should get installed and all the pipeline which was using older version of task should use the latest version of the task

Additional info:

Comment 4 Mohammed Saud 2022-02-16 12:17:19 UTC
Verified on:
Build:   4.9.0-0.nightly-2022-02-16-044821
Browser: Firefox 97

Comment 6 errata-xmlrpc 2022-02-23 20:02:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.22 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0561


Note You need to log in before you can comment on or make changes to this bug.